List the payments of an invoice
Returns every payment on the invoice, newest first, online and recorded.
Returns every payment on the invoice, newest first, online and recorded.
Authorization
api-key AuthorizationBearer <token>
API key for merchant integrations. Send as Authorization: Bearer <your key>.
In: header
Query Parameters
invoiceId*string
Invoice whose payments to list
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/invoice-payments?invoiceId=string"{ "data": [ { "id": "inpay_3Nf8a2kLmPq9", "object": "invoice_payment", "invoiceId": "string", "status": "open", "amountRequested": -9007199254740991, "amountPaid": -9007199254740991, "amountRefunded": -9007199254740991, "currency": "EGP", "payment": { "paymentRecord": {} }, "statusTransitions": {}, "installmentId": "string", "receiptNumber": "string", "receiptUrl": "string", "merchantId": "string", "createdAt": "string", "updatedAt": "string" } ], "totalCount": 0}